curl --request GET \
--url https://api.example.com/payins/{payinId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/payins/{payinId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/payins/{payinId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "pi_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"status": "pending",
"quote": {
"amount": "500.00",
"currency": "<string>",
"settlementAmount": "500.00",
"destinationAccount": "<string>",
"feeAmount": "500.00",
"feeCurrency": "<string>",
"rate": "500.00"
},
"createdAt": "2023-11-07T05:31:56Z",
"rail": "sepa",
"paymentReference": "<string>",
"originChainId": "<string>",
"destinationChainId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Retrieve an incoming transfer
Retrieve an incoming-transfer quote and its current funding lifecycle. Use the instructions operation when payment details are still required.
curl --request GET \
--url https://api.example.com/payins/{payinId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/payins/{payinId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/payins/{payinId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "pi_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41",
"status": "pending",
"quote": {
"amount": "500.00",
"currency": "<string>",
"settlementAmount": "500.00",
"destinationAccount": "<string>",
"feeAmount": "500.00",
"feeCurrency": "<string>",
"rate": "500.00"
},
"createdAt": "2023-11-07T05:31:56Z",
"rail": "sepa",
"paymentReference": "<string>",
"originChainId": "<string>",
"destinationChainId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The client account to act for, as a cl_… id. Omit it to act as yourself.
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Path Parameters
Prefixed pay-in id
Response
Successful Response
Stable public identifier for this incoming transfer.
^(?:pi_)?[A-Za-z0-9._:\-]{1,216}$"pi_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Current public lifecycle status of the incoming transfer.
pending, awaitingFunds, processing, inReview, completed, failed, refunded, canceled Price, fee and conversion terms fixed for this incoming transfer.
Show child attributes
Show child attributes
UTC timestamp when the incoming transfer was created.
Local payment method, when account-funded.
sepa, swift, ach, uaefts, fedwire, rtp, fednow, pix, spei, pse, breb, transfers_3_0, ukfps, npp, nip, bdt_local, bdt_ewallet, bob_local, brl_local, cad_eft, clp_local, cny_alipay, cny_wechatpay, cop_local, crc_local, dkk_local, dop_local, dop_ewallet, egp_local, gtq_local, gtq_ewallet, hkd_fps, hnl_local, idr_local, idr_ewallet, ils_local, inr_local, inr_upi, jmd_local, jpy_local, krw_local, myr_local, nok_local, php_local, php_ewallet, pkr_raast, pkr_ewallet, pln_local, sar_local, sle_local, thb_local, try_fast, tzs_local, ugx_local, vnd_local, xof_local, zmw_local Reference that must accompany the account transfer.
Network from which an on-chain transfer is funded.
Network on which the transfer settles.
UTC timestamp after which the quote is no longer valid.
Was this page helpful?